import sys

# Enforce Python 2.6 or higher:
if sys.version_info[0] != 2 \
    or sys.version_info[1] < 6:
    print "ERROR: Python 2.6 or higher required, but Python version is %s.%s." % (sys.version_info[0], sys.version_info[1])
    sys.exit(1)

import xlrd
import xlwt

if len(sys.argv) != 4:
    print "USAGE: %s excel_input_file sheet_to_export excel_output_file" % sys.argv[0]
    sys.exit(2)

file_name_in = sys.argv[1]
sheet_out_index = int(sys.argv[2])
file_name_out = sys.argv[3]

wb_in = xlrd.open_workbook(file_name_in)
sh_in = wb_in.sheets()[sheet_out_index]

wb_out = xlwt.Workbook()
sh_out = wb_out.add_sheet(sh_in.name)

for index_row in range(sh_in.nrows):
    row = sh_in.row(index_row)
    for index_cell, cell in enumerate(row):
        sh_out.write(index_row, index_cell, cell.value)

wb_out.save(file_name_out)
